Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.drag.effects
Interface DragPreview

All Superinterfaces:
  DockingConstants

All Known Implementing Classes:
  AlphaPreview, DefaultPreview, GhostPreview, XORPreview

    public interface DragPreview

extends DockingConstants

Field Summary

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Method Summary
`Polygon` | `createPreviewPolygon(Component dockable, DockingPort port, Dockable hover, String targetRegion, Component paintingTarget, Map dragInfo)`
`void` | `drawPreview(Graphics2D g, Polygon poly, Dockable dockable, Map dragInfo)`

Method Detail

### createPreviewPolygon

    Polygon createPreviewPolygon(Component dockable,
                                 DockingPort port,
                                 Dockable hover,
                                 String targetRegion,
                                 Component paintingTarget,
                                 Map dragInfo)

### drawPreview

    void drawPreview(Graphics2D g,
                     Polygon poly,
                     Dockable dockable,
                     Map dragInfo)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD